Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class ResourceLoader

    java.lang.Object
      com.sun.javatest.ResourceLoader

    public class ResourceLoader

extends java.lang.Object

Constructor Summary
`ResourceLoader()`

Method Summary
`static java.util.ResourceBundle` | `getBundle(java.lang.String name)`
`static java.util.ResourceBundle` | `getBundle(java.lang.String name, java.util.Locale aDefault, java.lang.ClassLoader classLoader)`
`static java.io.InputStream` | `getResourceAsStream(java.lang.String name, java.lang.Class ownClass)`
`static java.io.File` | `getResourceFile(java.lang.String name, java.lang.Class ownClass)`
`static java.util.Enumeration` | `getResources(java.lang.String name, java.lang.Class ownClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceLoader

    public ResourceLoader()

Method Detail

### getResources

    public static java.util.Enumeration getResources(java.lang.String name,
                                                     java.lang.Class ownClass)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(java.lang.String name,
                                                          java.lang.Class ownClass)

### getResourceFile

    public static java.io.File getResourceFile(java.lang.String name,
                                               java.lang.Class ownClass)

### getBundle

    public static java.util.ResourceBundle getBundle(java.lang.String name,
                                                     java.util.Locale aDefault,
                                                     java.lang.ClassLoader classLoader)

### getBundle

    public static java.util.ResourceBundle getBundle(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.